## kbarcode-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kbarcode )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckIncludeFileCXX    )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_NATIVE_GNU_BARCODE "Enable GNU Barcode" OFF )
option( WITH_JAVASCRIPT "Enable Javascript" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )
add_subdirectory( fileplugin )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kbarcode-trinity 3.5.13.2

=== debian/changelog ===
kbarcode-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 20:55:57 +0200

kbarcode-trinity (2.0.6-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kbarcode-trinity (2.0.6-0ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 04 March 2009 01:11:00 -0600

kbarcode-trinity (2.0.6-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 29 Dec 2008 18:47:00 -0600

kbarcode (2.0.6-1) unstable; urgency=low

  * New upstream release. (Closes: #445734, #445738)

  [ Mark Purcell ]
  * Update ./debian/rules get-orig-source for http://buildserver.net.

  [ Fathi Boudra ]
  * Update menu file to latest Debian menu policy.
  * Add makebuilddir target to generate proper configure script with automake.
    Workaround unsermake generated configure provided by upstream.

 -- Fathi Boudra <fboudra@free.fr>  Wed, 17 Oct 2007 15:43:24 +0200

kbarcode (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Thu,  9 Nov 2006 10:09:24 +0100

kbarcode (2.0.4-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release
  * Ack NMU's:
    - FTBFS: ICE on m68k, arm and hppa (Closes: #330937)
    - FTBFS: build-depends on removed xlibs-dev (Closes: #346743)
    - kbarcode_1.8.0-2(GNU/k*BSD): out of date config.sub/config.guess
      (Closes: #303338)
    - error in doc-base file (Closes: #215385)
    - Package explicitely build-depends on g++-3.4 (Closes: #342975)
    - [INTL:de] German PO file corrections (Closes: #314013)
    - Please update config.* (Closes: #357331)

  [ Fathi Boudra ]
  * Added to Recommends: libqt3-mt-mysql | libqt3-mt-psql | libqt3-mt-odbc |
    libqt3-mt-sqlite | libqt3-mt-ibase

 -- Mark Purcell <msp@debian.org>  Fri, 28 Jul 2006 21:30:19 +0100

kbarcode (2.0.3-1) unstable; urgency=low

  * New maintainer
    * Maintainer: KDE Extras Team
    * Uploaders: Fathi Boudra and Mark Purcell
  * New upstream release (Closes: #278751, #320912, #345787, #357391)
  * Converted package to cdbs
  * compat: bumped to 5
  * control:
    * replaced Sections x11 by kde
    * removed unneeded Build-depends: libx11-dev, libxext-dev, libxpm-dev,
      libqt3-mt-dev
    * bumped Standards-Version to 3.7.2
    * removed unneeded Depends: libqt3-mt
    * improved short and lon description
  * copyright:
    * added missing copyright for barkode and barcode.ps
    * added barcode.ps license
  * Added manpage (Closes: #370547)
  * Added watch file
  * Fixed menu by deleting kderemove entry

 -- Fathi Boudra <fboudra@free.fr>  Tue, 27 Jun 2006 17:59:57 +0200

kbarcode (1.8.0-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Move config.{guess,sub} to admin directory (Closes: #357331).

 -- Luk Claes <luk@debian.org>  Thu, 16 Mar 2006 23:51:42 +0100

kbarcode (1.8.0-3.2) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346743).
  * Remove explicit build-dep on g++-3.4 (Closes: #342975).
  * German PO file corrections (Closes: #314013).
  * Support GNU/kFreeBSD (Closes: #303338).

 -- Luk Claes <luk@debian.org>  Wed, 11 Jan 2006 16:05:43 +0100

kbarcode (1.8.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-dep on g++-3.4 on arm, hppa and m68k (closes: #330937).

 -- Luk Claes <luk@debian.org>  Sat,  1 Oct 2005 20:03:32 +0200

kbarcode (1.8.0-3) unstable; urgency=low

  * Fixed the Qt/KDE transition problems (closes: #327942).

 -- Theodore Karkoulis <bilbo@debian.org>  Sat, 17 Sep 2005 18:12:10 +0300

kbarcode (1.8.0-2) unstable; urgency=low

  * Applied the patches from Andreas Jochens, closes: #258475, #286981.

 -- Theodore Karkoulis <bilbo@debian.org>  Tue,  4 Jan 2005 17:16:05 +0200

kbarcode (1.8.0-1) unstable; urgency=low

  * New upstream release

 -- Theodore Karkoulis <bilbo@debian.org>  Sun, 29 Aug 2004 07:25:25 +0300

kbarcode (1.6.2-1) unstable; urgency=low

  * New upstream release

 -- Theodore Karkoulis <bilbo@debian.org>  Sun, 15 Feb 2004 19:00:42 +0200

kbarcode (1.6.1-1) unstable; urgency=low

  * New upstream Version
  * Fixes the /usr/share/doc/kbarcode/html problem, closes: #215385

 -- Theodore Karkoulis <bilbo@debian.org>  Tue, 27 Jan 2004 11:05:20 +0200

kbarcode (1.4.1-1) unstable; urgency=low

  * New Upstream Version. 

 -- Theodore Karkoulis <bilbo@debian.org>  Thu, 30 Oct 2003 23:52:02 +0200

kbarcode (1.2.1-3) unstable; urgency=low

  * Fixes the g++-3.3 compile problem, closes: #216751

 -- Theodore Karkoulis <bilbo@debian.org>  Mon, 27 Oct 2003 20:47:33 +0200

kbarcode (1.2.1-2) unstable; urgency=low

  * Fixes the xlibs-dev build dependency, closes: #212501, #212666.
  * changelog

 -- Theodore Karkoulis <bilbo@debian.org>  Mon, 27 Oct 2003 20:47:06 +0200

kbarcode (1.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Theodore Karkoulis <bilbo@debian.org>  Tue, 16 Sep 2003 13:36:54 +0300

=== debian/control ===
Source: kbarcode-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 5), quilt, kdelibs4-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kbarcode-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, barcode, imagemagick
Replaces: kbarcode-kde3 (<< 4:3.5.13)
Breaks: kbarcode-kde3 (<< 4:3.5.13)
Recommends: libqt3-mt-mysql | libqt3-mt-psql | libqt3-mt-odbc | libqt3-mt-sqlite |
 libqt3-mt-ibase
Description: barcode and label printing application for Trinity
 KBarcode is a barcode and label printing application for Trinity. It can be used
 to print everything from simple business cards up to complex labels with
 several barcodes (e.g. article descriptions).
 .
 KBarcode comes with an easy to use WYSIWYG label designer, a setup wizard,
 batch import of data for batch printing labels (directly from the delivery
 note), thousands of predefined labels, database management tools and
 translations in many languages. Even printing more than 10.000 labels in one
 go is no problem for KBarcode. Data for printing can be imported from several
 different data sources, including SQL databases, CSV files and the KDE address
 book.
 .
 Additionally it is a simple barcode generator (similar to the old xbarcode you
 might know). All major types of barcodes like EAN, UPC, CODE39 and ISBN are
 supported. Even complex 2D barcodes are supported using third party tools. The
 generated barcodes can be directly printed or you can export them into images
 to use them in another application.
 .
  Homepage: http://www.kbarcode.net

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_MANPAGES_kbarcode-trinity := debian/kbarcode.1

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

makebuilddir/kbarcode-trinity::
	find . -type f -name Makefile.in | xargs rm -f
	$(MAKE) -f admin/Makefile.common

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]
	@@dpatch-get-origtargz ../tarballs

binary-install/kbarcode-trinity::
	mv debian/kbarcode-trinity/usr/share/man debian/kbarcode-trinity/opt/trinity/share/

## kbarcode-trinity 14.0.5

=== debian/changelog ===
kbarcode-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:15:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: kbarcode-trinity
-Section: kde
+Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), quilt, kdelibs4-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: kbarcode-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, barcode, imagemagick
-Replaces: kbarcode-kde3 (<< 4:3.5.13)
-Breaks: kbarcode-kde3 (<< 4:3.5.13)
-Recommends: libqt3-mt-mysql | libqt3-mt-psql | libqt3-mt-odbc | libqt3-mt-sqlite |
- libqt3-mt-ibase
+Replaces: kbarcode-kde3 (<< 4:14.0.0~), kbarcode-trinity (<< 4:14.0.0~)
+Breaks: kbarcode-kde3 (<< 4:14.0.0~), kbarcode-trinity (<< 4:14.0.0~)
+Recommends: libtqt3-mt-mysql | libtqt3-mt-psql | libtqt3-mt-odbc | libtqt3-mt-sqlite |
+ libtqt3-mt-ibase
 Description: barcode and label printing application for Trinity
  KBarcode is a barcode and label printing application for Trinity. It can be used
  to print everything from simple business cards up to complex labels with
@@ -23,7 +23,7 @@
  note), thousands of predefined labels, database management tools and
  translations in many languages. Even printing more than 10.000 labels in one
  go is no problem for KBarcode. Data for printing can be imported from several
- different data sources, including SQL databases, CSV files and the KDE address
+ different data sources, including SQL databases, CSV files and the TDE address
  book.
  .
  Additionally it is a simple barcode generator (similar to the old xbarcode you

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -22,10 +22,15 @@
 post-patches:: debian/stamp-bootstrap
 
 debian/stamp-bootstrap:
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
 	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
 	
 	make -f admin/Makefile.common cvs
@@ -35,10 +40,5 @@
 	find . -type f -name Makefile.in | xargs rm -f
 	$(MAKE) -f admin/Makefile.common
 
-get-orig-source:
-	@@dh_testdir
-	@@[ -d ../tarballs/. ]
-	@@dpatch-get-origtargz ../tarballs
-
 binary-install/kbarcode-trinity::
 	mv debian/kbarcode-trinity/usr/share/man debian/kbarcode-trinity/opt/trinity/share/

## kbarcode-trinity 14.0.6

=== debian/changelog ===
kbarcode-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:11:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kbarcode-trinity

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/debian-qt-kde.mk

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## kbarcode-trinity 14.0.9

=== debian/changelog ===
kbarcode-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Oct 2020 22:36:39 +0200

## kbarcode-trinity 14.0.10

=== debian/changelog ===
kbarcode-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kbarcode-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kbarcode-trinity

## kbarcode-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( kbarcode )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -73,8 +73,12 @@
 
 add_subdirectory( ${PROJECT_NAME} )
 add_subdirectory( fileplugin )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
kbarcode-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 23 Aug 2021 00:24:25 +0200

## kbarcode-trinity 14.0.12

=== debian/changelog ===
kbarcode-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:52 +0100

## kbarcode-trinity 14.0.13

=== debian/changelog ===
kbarcode-trinity (4:14.0.13-0ubuntu21.04.0+0) hirsute; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Jun 2022 16:43:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kbarcode-trinity

## kbarcode-trinity 14.1.0

=== debian/changelog ===
kbarcode-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kbarcode-trinity 14.1.1

=== debian/changelog ===
kbarcode-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Sep 2023 02:54:10 +0200

## kbarcode-trinity 14.1.2

=== debian/changelog ===
kbarcode-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 08 Apr 2024 01:59:41 +0200

## kbarcode-trinity 14.1.3

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kbarcode-trinity

## kbarcode-trinity 14.1.4

=== debian/changelog ===
kbarcode-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kbarcode-trinity 14.1.5~pre3

=== debian/changelog ===
kbarcode-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 6a3f400065d7e8a22e135ce4a9d217ff67ae7af2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kbarcode-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( kbarcode )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -30,7 +33,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )

=== kbarcode/CMakeLists.txt ===
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${PCRE2_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

if( WITH_JAVASCRIPT )
  set( KJS_LIBRARIES kjs-shared )
endif( )

##### kbarcode (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES 
        barcodecombo.cpp barcodedialog.cpp
        barcodedialogs.cpp commands.cpp
        configdialog.cpp confwizard.cpp
        csvimportdlg.cpp databasebrowser.cpp
        definition.cpp definitiondialog.cpp
        dsmainwindow.cpp kbarcode.cpp
        label.cpp labeleditor.cpp
        labelutils.cpp main.cpp
        mimesources.cpp multilineeditdlg.cpp
        mycanvasitem.cpp mycanvasview.cpp
        mydatatable.cpp newlabel.cpp
        previewdialog.cpp printersettings.cpp
        printlabeldlg.cpp rectsettingsdlg.cpp
        smalldialogs.cpp sqltables.cpp
        tokenprovider.cpp xmlutils.cpp
        zplutils.cpp measurements.cpp
        editoriface.skel kbarcodeiface.skel batchiface.skel
        kbarcodesettings.cpp batchprinter.cpp
        barcodeitem.cpp documentitem.cpp
        lineitem.cpp rectitem.cpp
        tcanvasitem.cpp textitem.cpp
        imageitem.cpp documentitemdlg.cpp
        propertywidget.cpp tec.cpp
        barcodeprinterdlg.cpp textlineitem.cpp
        textlineedit.cpp tokendialog.cpp
        barkode.cpp gnubarcode.cpp
        barkodeengine.cpp pixmapbarcode.cpp
        batchwizard.cpp csvfile.cpp
        dstextedit.cpp encodingcombo.cpp
        purepostscript.cpp tbarcode2.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeprint-shared
     tdeabc-shared
     ${KJS_LIBRARIES}
     ${PCRE2_LIBRARIES}
     ${GNU_BARCODE_LIBRARY}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

tde_create_translated_desktop(
    SOURCE
        ${PROJECT_NAME}.desktop
        ${PROJECT_NAME}-batch.desktop
        ${PROJECT_NAME}-editor.desktop
        ${PROJECT_NAME}-single.desktop
)


tde_create_translated_desktop(
    SOURCE ${PROJECT_NAME}-label.desktop
    DESTINATION ${MIME_INSTALL_DIR}/application
)

install(
    FILES
        barcodes.html
        exampledata.sql
        labeldefinitions.sql
        barcode.ps
        rules.xml

  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

=== debian/changelog ===
kbarcode-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kbarcode-trinity

## kbarcode-trinity 14.1.6~pre0

=== debian/changelog ===
kbarcode-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 6a3f400065d7e8a22e135ce4a9d217ff67ae7af2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kbarcode-trinity 14.1.6~pre1

=== debian/changelog ===
kbarcode-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 78d9aa72a579190dced543ea0a2f1c0abfb06cac
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:20:32 +0100

## kbarcode-trinity 14.2.0~pre42

=== debian/changelog ===
kbarcode-trinity (4:14.2.0~pre42-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 5602e01ff0a6f599b44cfff35251f959b53b5bbb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kbarcode-trinity 14.2.0~pre43

=== debian/changelog ===
kbarcode-trinity (4:14.2.0~pre43-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for f2071b3b736c74af6d54d0b57b32fe8feeb838a4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kbarcode

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:14:00 +0100
